<?php
@session_start();

// Eğer kullanıcı oturum açmışsa
if (isset($_SESSION['eposta'])) {
    // Oturumdaki veriyi temizle
    unset($_SESSION['eposta']);

    // Oturumu sonlandır
    session_destroy();

    // Güvenli çıkış için çerezleri temizle
    setcookie('epostaHatirla', '', time() - 3600, '/', null, true, true); // Secure ve HTTP only
    setcookie('parolaHatirla', '', time() - 3600, '/', null, true, true); // Secure ve HTTP only

    // Çıkış işlemi tamamlandığında, kullanıcıyı index.php sayfasına yönlendir
    header("Location: index.php");
    exit;
} else {
    // Kullanıcı zaten çıkış yapmışsa, ana sayfaya yönlendirilebilir
    header("Location: index.php");
    exit;
}
?>
