<?php
require_once 'inc/guvenlik.php';

$response = ['success' => false, 'message' => ''];


if (isset($_GET['file_id'])) {
    $fileId = $_GET['file_id'];

    // Fetch file details (e.g., file name, file path, extension) based on file_id
    $stmt = $baglantim->prepare("SELECT id, file_name, file_path FROM uploads WHERE id = :file_id");
    $stmt->execute([':file_id' => $fileId]);
    $file = $stmt->fetch(PDO::FETCH_ASSOC);

    // Fetch associated components
    $stmt_components = $baglantim->prepare("SELECT id, ad FROM komponent WHERE FIND_IN_SET(:file_id, dosyalar)");
    $stmt_components->execute([':file_id' => $fileId]);
    $components = $stmt_components->fetchAll(PDO::FETCH_ASSOC);

    // Prepare the response
    $response = [
        'success' => true,
        'file' => [
            'file_name' => $file['file_name'],
            'file_path' => $file['file_path'],
            'extension' => pathinfo($file['file_name'], PATHINFO_EXTENSION)
        ],
        'components' => $components
    ];

    echo json_encode($response);
}
?>
