<?php
session_start();
if (isset($_SERVER['HTTP_REFERER']) && isset($_POST['eposta']) && isset($_POST['parola'])) {

    include_once 'inc/baglan.php';

    $epostam = trim($_POST['eposta']);
    $parolam = trim($_POST['parola']);
//$parolam = password_hash($parolam1, PASSWORD_DEFAULT); gelen parolayi password_hash olarak vt ye kaydeder.

    $veritabani = "SELECT * FROM uye WHERE eposta=:eposta AND aktif = 1";
    $sorgu = $baglantim->prepare($veritabani);
    $sorgu->bindParam(':eposta', $epostam, PDO::PARAM_STR);
//$sorgu->bindParam(':parola', $parolam, PDO::PARAM_STR);
    $sorgu->execute();
    $sonuc = $sorgu->fetchAll(PDO::FETCH_OBJ);

    if ($sorgu->rowCount() > 0) {

        if (password_verify($parolam, $sonuc[0]->parola)) {

            $_SESSION['eposta'] = $epostam;

            if (isset($_POST['hatirla'])) {
                setcookie('postam', $epostam, (time() + ((365 * 24 * 60 * 60) * 3)));
                setcookie('parolam', $parolam, (time() + ((365 * 24 * 60 * 60) * 3)));

            } else {
                setcookie('postam', htmlspecialchars($epostam), (time() - (24 * 60 * 60)));
                setcookie('parolam', htmlspecialchars($parolam), (time() - (24 * 60 * 60)));
            }

        }

        echo 'true';

    } else {
        echo 'false';
    }

} else {
    header('Location: index.php');
}
?>