<?php
// Oturum başlatma ve kontrol
if (session_status() == PHP_SESSION_NONE) {
    session_start(); // Oturum başlat
}

// Güvenlik başlıkları
@header('X-Frame-Options: SAMEORIGIN');
@header('Strict-Transport-Security: max-age=31536000; includeSubDomains');
@header('X-XSS-Protection: 1; mode=block');
@header('X-Content-Type-Options: nosniff');

// Dosyaya doğrudan erişimi engellemek için kontrol
if (basename(__FILE__) == basename($_SERVER['PHP_SELF'])) {
    die("Bu dosyaya doğrudan erişim engellenmiştir.");
}

// Oturum kontrolü ve referer kontrolü
if (!isset($_SESSION['eposta'])) {
    @header("Location: index.php"); // Yönlendirme
    exit;
}
// Veritabanı bağlantısını dahil et
require_once 'inc/baglan.php';
?>
