<?php
require_once 'inc/guvenlik.php'; // Güvenlik dosyasını dahil et
?>

<h5>Lokasyon Ekle</h5>
<form id="LokasyonEklemeFormu" class="row g-3" action="lokasyon-ekleDB.php" method="post">
    <div id="lokasyonAd1" class="col-md-6 form-select-sm">
        <label for="lokasyonAd" class="form-label">Lokasyon Adı</label>
        <input type="text" name="lokasyonAd" class="form-control form-select-sm input_ad" id="lokasyonAd" required>
    </div>

    <!-- LOKASYON ÇEKME BÖLÜMÜ -->
    <div id="kategori1" class="col-md-6 form-select-sm">
        <label for="lokasyonlar" class="form-label">Lokasyon Seç</label>
        <?php
        try {
            $kategori = "WITH RECURSIVE cte AS
            (
                SELECT id, CAST(ad AS CHAR(200)) AS ad,
                CAST(ad AS CHAR(200)) AS yol,
                CAST(ad AS CHAR(200)) AS path,
                0 as derinlik
                FROM lokasyon WHERE lokasyon_id = 0
                UNION ALL
                SELECT c.id,
                CONCAT(REPEAT(' - ', cte.derinlik+1), c.ad),
                CONCAT(cte.path, ' > ', c.ad),
                CONCAT(cte.yol, ' > ', c.ad),
                cte.derinlik+1
                FROM lokasyon c JOIN cte ON
                cte.id=c.lokasyon_id
            )
            SELECT * FROM cte ORDER BY yol;";

            $kategori_sonuc = $baglantim->query($kategori);
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu: " . htmlspecialchars($e->getMessage()));
        }

        echo '<select name="lokasyonlar" id="lokasyonlar" class="form-select form-select-sm" size="20">';

        while ($kategori_satir = $kategori_sonuc->fetch()) {
            $silinecek_cizgi = htmlspecialchars($kategori_satir['ad']); // XSS koruması
            $cizgi_sil = str_replace(' - ', '', $silinecek_cizgi);

            echo '<option value="' . htmlspecialchars($kategori_satir['id']) . ',' . htmlspecialchars($kategori_satir['yol']) . '" title="' . $cizgi_sil . '">' . $kategori_satir['ad'] . '</option>';
        }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="EklemeMesaji"></span>
    </div>
    <div class="col-12 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>
